import App from "./index.vue";
import "@/assets/js/common";
import { createApp } from "vue";
import { getUser } from "@/utils/tool.js";
import { getPageParameters, environment } from "../../config/pageConfig";
// 判断环境
environment();
window.$originData = getPageParameters();
document.title = window.$originData.orginParames.title || "";

// 分享
window.weixin_Share_Init(
  "世界杯",
  "这是世界杯",
  "https://cxzx.smcic.net/topic/highSpeed/img/logo3.png"
);

window.SL = new window.SmcicLogger("shanshipin", "c6124d95");
window.SL.Util.SetUrl("https://collect.smcic.net:8443/");
window.SL.Systematic.Init({
  appid: "c6124d95",
  channel: "shanshipin",
  model: "",
  os: "",
  os_version: "",
  carrier: "",
  network_type: "",
  ip: "",
  app_name: "",
  app_version: "",
  build_version: "",
  platform_type: "",
});
window.SL.Content.CommodityDetail({
  commodity_detail_source: "活动",
  commodity_id: "",
  commodity_name: document.title,
  publisher_name: "",
  publisher_id: "",
  review_count: 0,
  comment_count: 0,
  collect_count: 0,
  share_count: 0,
  like_count: 0,
  tag: [],
});


!window.$shanshipin || !window.$shanshipin.Phone
  ? getUser(() => createApp(App).mount("#app"))
  : createApp(App).mount("#app");

window.setUserSession = () => {
  console.log("登录");
  getUser(() => createApp(App).mount("#app"));
};
